> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Assign Providers To Structure

> Assign multiple providers to a commission structure



## OpenAPI

````yaml post /inventory/commission-groups/{commission_structure_id}/providers/bulk-assign
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/commission-groups/{commission_structure_id}/providers/bulk-assign:
    post:
      tags:
        - provider
        - inventory
      summary: Bulk Assign Providers To Structure
      description: Assign multiple providers to a commission structure
      operationId: >-
        bulk_assign_providers_to_structure_inventory_commission_groups__commission_structure_id__providers_bulk_assign_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: commission_structure_id
          in: path
          required: true
          schema:
            type: string
            title: Commission Structure Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkProviderAssignment'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: integer
                title: >-
                  Response Bulk Assign Providers To Structure Inventory
                  Commission Groups  Commission Structure Id  Providers Bulk
                  Assign Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BulkProviderAssignment:
      properties:
        provider_ids:
          items:
            type: string
          type: array
          title: Provider Ids
      type: object
      required:
        - provider_ids
      title: BulkProviderAssignment
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````